---
permalink: "/{{ year }}/{{ month }}/{{ day }}/2015-in-many-words"
title: 2015 in many words and some photos
published_date: "2015-12-31 20:50:00 +0100"
layout: post.liquid
data:
  route: blog
---
Last year I summarized my year in a [long blog post](https://fnordig.de/2014/12/29/2014-in-many-words/),
and with 2015 being nearly over here comes this year's version.

### My year in numbers

I was at 6 different conferences in 6 different cities across 5 different countries:

1. [FOSDEM](http://fosdem.org) in Brussel, Belgium (February)
2. [.concat()](http://conc.at/) in Salzburg, Austria (March)
3. [otsconf](https://otsconf.com/) in Dortmund, Germany (August). I was one of the organizers
4. [Redis Dev Day](https://fnordig.de/2015/10/22/redis-dev-day-london-2015/) in London, Great Britain (October)
5. [Hungarian Web Conference 2015](http://webconf.hu/2015/) in Budapest, Hungaria (November). I gave a talk about Rust
6. [32c3](https://events.ccc.de/congress/2015/wiki/Main_Page) in Hamburg, Germany (December)

This includes the first conference I ever organized (otsconf) and my first real conference talk (Web Conference).
I hope I get more opportunities to speak next year.

GitHub says I made 1434 countable contributions (1650 if you count private repositories) across dozens of repositories.
I now maintain 8 published Rust crates ([9 to be really correct](https://twitter.com/badboy_/status/677815982656782336)) as well as 5 unreleased Rust libraries.
I hope to finish up the remaining crates and polish the existing ones (and maybe bump them to a stable 1.0)

I released 6 versions of hiredis, 2 of hiredis-rb, 4 of hiredis-node and 2 of hiredis-py.
My plan for 2016 is to mark hiredis as stable, push out the 1.0 release and then update the others as well
([considering it might be used in Rails soon](https://twitter.com/badboy_/status/678889807435530241), this seems to be a good idea)

About 158 mails on the Redis mailing list were sent by me.

I posted 196 photos on [Instagram](https://instagram.com/janerikr/) and my `~/photos/2015` directory now contains about 4600 more photos.

I wrote more than 8600 tweets, more than half of them in reply to someone.
I didn't quite reach my own goal of writing a bit more,
but 12 blog posts still come down to about one per month.


### My year in photos and words

After the busy ending of 2014, 2015 started just as busy.
Away from university, I spend more time working, but I found enough time for conferences and a quick one-week visit in San Francisco in April.

<center>

![Golden Gate Bridge](//tmp.fnordig.de/end-of-2015/2015-04-22_10.45.13_1500_cropped.jpg)
![Bay Bridge](//tmp.fnordig.de/end-of-2015/2015-04-22_15.32.13_1500.jpg)

</center>

University and work kept me busy the whole summer, but I still catched a bit of the Sun.

After finishing up the Summer semester, I left for Norway in August.

<center>

![Norway Flag](//tmp.fnordig.de/end-of-2015/2015-09-12_13.27.01_1500.jpg)

</center>

I came back for a weekend to run otsconf. It was a success, but see for yourself:

<iframe width="900" height="506" src="https://www.youtube.com/embed/3Uktz9J0uPs" frameborder="0" allowfullscreen></iframe>

Back in Norway I had the absolute best time.
For example hiking up a hill, sitting on the Kjeragbolten thousand meter over the Fjord.

<center>

![Kjerag](//tmp.fnordig.de/end-of-2015/2015-09-29_13.32.51_1500.jpg)

</center>

My semester ended early on the first of December, so I had another chance to travel around Norway.
Even without a lot of light, the Lofoten are a beautiful place to stay.

<center>

![Lofoten](//tmp.fnordig.de/end-of-2015/_DSC0859_1500.jpg)

</center>

With 2015 coming to an end, so are other things. I had to replace my old Laptop, which stayed with me for the last four years.

<center>

![Laptop](//tmp.fnordig.de/end-of-2015/old-laptop_1500.jpg)

</center>

I really enjoyed living & traveling in Norway and I already put it on my todo list to come back in the summer.
I was lucky to be part of so many different but welcoming communities. It's a joy every time I meet these people again.


### Thanks

This year was so great because of all the great people I met along the way.  
Thanks to the [otsconf](https://otsconf.com/) team, [Ola][], [Shelly][], [Carsten][], [Leif][] and [Hendrik][].  
Again thanks to my employer [rrbone][] and my boss [Dominik][dominikbay] for giving me opportunities to learn and work.  
Thanks to the the new friends I made while living in Norway. I hope we manage to meet up again soon.
Knowing people everywhere is great if you travel and I'm very grateful to all people that hosted me, like [Lotte][] in Hamburg and [Tobias][] in Tromsø.
And thanks to all those I didn't name explicitely, but who made this year so much fun.

2016 won't start any less busy.
With my next university semester only starting in April, I will make the best of that time. The next trip starts in less than five days.

<div style="text-align:center">
<strong>&lt;3</strong>
</div>

[ola]: https://twitter.com/misprintedtype
[carsten]: https://twitter.com/dergraf86
[hendrik]: https://twitter.com/dermiddi
[leif]: https://twitter.com/rthbrst
[shelly]: https://twitter.com/shellycoen
[rrbone]: https://www.rrbone.net/
[dominikbay]: https://twitter.com/dominikbay
[lotte]: https://twitter.com/Lotterleben
[tobias]: http://twitter.com/gurken
