---
permalink: "/{{ year }}/{{ month }}/{{ day }}/2017-in-many-words"
title: 2017 in many words and some photos
published_date: "2017-12-31 16:30:00 +0100"
layout: post.liquid
data:
  route: blog
---
It has become a tradition for me to look at the year that's about to end.
I did so [last year](/2016/12/31/2016-in-many-words/),
[the year before](/2015/12/31/2015-in-many-words/)
and the [2014 as well](/2014/12/29/2014-in-many-words/).

So here comes the 2017 edition.

### My year in numbers

I was at 7 different conferences in 7 different cities across 4 different countries:

1. [Booster Conf](https://2017.boosterconf.no/) in Bergen, Norway (March)
1. [RustFest 2017](http://2017.rustfest.eu/) in Kyiv, Ukraine (April)
1. [beyond tellerrand](https://beyondtellerrand.com/events/duesseldorf-2017/speakers) in Dusseldorf, Germany (May)
1. [Codemotion](http://amsterdam2017.codemotionworld.com/) in Amsterstam, Netherlands (May)
1. [NightlyBuild 2017](https://nightlybuild.io/) in Cologne, Germany (September)
1. [JS Kongress](https://2017.js-kongress.de/) in Munich, Germany (November)
1. [GOTO](http://gotober.com/) in Berlin, Germany (November)

In addition to that I spoke at 4 meetups this year.
In total I gave [7 talks](/talks/) and one workshop at a conference (this year it was all Rust and WebAssembly).
I travelled more than 30.000 km, with the farthest and longest journey taking me to Rio de Janeiro (Brazil), Buenos Aires (Argentina), and Montevideo (Uruguay), where I spent nearly 2 months.


I published just 7 blog posts this year. I should definitely write more next year.
My master thesis came up to 70 pages with about 24000 words and over 500 commits ([more in another blogpost](/2017/07/09/how-to-write-a-master-thesis/index.html)).
Just under 3 years after my Bachelor I finished my Master of Computer Science as well.

GitHub says I made 1462 countable contributions (including some private repositories) across dozens of repositories.
I'm nowhere closer to actively maintain & publish the projects I am responsible for.

I posted 222 photos and videos on [Instagram](https://instagram.com/janerikr/)
and my `~/photos/2017` directory now contains over 7000 photos, 4600 from September and October alone (when I was in South America), and about 40 Gb of video material.

I wrote just 3800 tweets, with 2400 being in reply to someone (and here I thought I was really active).

### My year in photos and words

I started of the conference season with a visit to snowy Bergen in Norway, leading a Rust workshop at [Booster 2017](https://2017.boosterconf.no/).
On the last day in town I climbed one of the narby mountains together with [Felienne](https://twitter.com/felienne) and [Rico](https://twitter.com/rix0rrr).
With sunny and freezingly cold weather we had an amazing view over the area.

[![View over Bergen](https://tmp.fnordig.de/end-of-2017/th-bergen-view-01.jpg)](https://tmp.fnordig.de/end-of-2017/bergen-view-01.jpg)

Over the summer I was busy working on my thesis.
Once that was finished I packed my stuff in Aachen, moved out of my flat and headed for Dortmund to work at the Juicy Beats festival.

[![Juicy Beats Mainstage](https://tmp.fnordig.de/end-of-2017/th-juicybeats-concert.jpg)](https://tmp.fnordig.de/end-of-2017/juicybeats-concert.jpg)

With the summer in Germany coming to an end, I headed out to Brazil for an extended vacation.
The first stop was Rio de Janeiro.
With warm weather usually above 30°C we experienced the city & the beaches. Of course visits to the famous Sugarloaf Mountain and Cristo Redentor were obligatory.

[![View from the Sugarloaf Mountain to the city of Rio de Janeiro](https://tmp.fnordig.de/end-of-2017/th-rio-de-janeiro-heli.jpg)](https://tmp.fnordig.de/end-of-2017/rio-de-janeiro-heli.jpg)
[![Sunset at the beach of Leblon](https://tmp.fnordig.de/end-of-2017/th-rio-de-janeiro-beach-sun.jpg)](https://tmp.fnordig.de/end-of-2017/rio-de-janeiro-beach-sun.jpg)

After staying in the city for a week, we decided to head a bit south to Ihla Grande, a small touristic island.
I finally had the chance again to dive with turtles.
We moved on to Paraty further west for more beach days, hiking and good food.

[![Diving with the turtles](https://tmp.fnordig.de/end-of-2017/th-ihla-grande-dive-selfie.jpg)](https://tmp.fnordig.de/end-of-2017/ihla-grande-dive-selfie.jpg)

After 3 weeks I took a flight over to Buenos Aires to visit the city, meet old friends, give a talk and eat _a lot of good food_.

[![View to Puerto Madero](https://tmp.fnordig.de/end-of-2017/th-buenos-aires-view-from-puerto-madero.jpg)](https://tmp.fnordig.de/end-of-2017/buenos-aires-view-from-puerto-madero.jpg)

Last year Pote invited me to visit him in Uruguay, so while already kind of in the area, I took the ferry over to Colonia del Sacramento and from there a bus to Montevideo.
Pote took me to the football stadium, where Uruguay played against Bolivia in the final game of the qualification for the next world cup. Uruguay won that game and will play in Russia.

[![Fireworks after the football game Montevideo - Bolivia](https://tmp.fnordig.de/end-of-2017/th-montevideo-stadium.jpg)](https://tmp.fnordig.de/end-of-2017/montevideo-stadium.jpg)

The time in Montevideo was super relaxing.
Pote, [Cuervo](https://twitter.com/cuerbot/) and [Foca](https://twitter.com/godfoca) took me to the best Parrilla in town.
I explored the city and did a bike tour.

[![Sun in Montevideo](https://tmp.fnordig.de/end-of-2017/th-montevideo-sunset-palms.jpg)](https://tmp.fnordig.de/end-of-2017/montevideo-sunset-palms.jpg)

After a week in Montevideo I headed back for some more time in Buenos Aires, before heading to Germany again.
There I stayed for about 18 hours before flying to Madeira to meet my family for a short fall vacation (because you should always have a vacation after your vacation!).

[![Madeira](https://tmp.fnordig.de/end-of-2017/th-madeira.jpg)](https://tmp.fnordig.de/end-of-2017/madeira.jpg)

Once I was back my November schedule was already packed. I did not spend more than 4 days in a row at home that month, instead visiting Munich, Berlin, Budapest and Oslo for various conferences, meetups, hack days and workshops.

[![Speaking at JS Kongress Munich](https://tmp.fnordig.de/end-of-2017/th-jskongress.jpg)](https://tmp.fnordig.de/end-of-2017/jskongress.jpg)

December was the quietest month, which I spent at home working. The year ended with some good family time around Christmas.

### Thanks

As always, the year is only as good as the people that I meet and spend time with.
Along all the trips I met some old friends and made some new ones (that's what I travel for).

Thanks to [Ola](https://twitter.com/misprintedtype) for housing me, joining me on stage, helping me out and being there when I need to talk.
Thanks to [Andre](https://twitter.com/soapdog) for the hospitality and for making my visit to Brazil so easy and enjoyable.
Thanks to [Pote](https://twitter.com/poteland), who let me stay at his place and showed me Montevideo.
Thanks to the other South American friends, who accompanied me while I was in the country.
Thanks to my employer [rrbone][] and my boss [Dominik][dominikbay], who lets me travel around, doing my job, giving workshops and talks.
And thanks to the friends & family near and far away.

[rrbone]: https://www.rrbone.net/
[dominikbay]: https://twitter.com/dominikbay

### The Future

Last year I said that 2017 will bring a lot of changes, and while that was kinda true, the most significant changes will start next year.
With university done I will go into full-time employment and move to another city eventually (again).
Plans are starting to form, but final decisions are post-poned until January.

<br>
<div style="text-align:center">
<strong>&lt;3</strong>
</div>
